// 企业主页接口信息
import request from "@/api/request.js";

// 企业基本信息:基本信息
export function getEnterprisePageInfo(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/info/${params}`,
  })
}

// 企业基本信息:主要人员
export function getEnterpriseKeyPerson(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/keyPerson/${params}`,
  })
}

//企业基本信息:分支机构
export function getEnterpriseBranch(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/branch/${params}`,
  })
}

//企业基本信息:最新动态
export function getEnterpriseNewDynamic(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/newDynamic/${params}`,
  })
}


//企业研发投入:年度研发投入对比
export function getEnterpriseStudy(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/study/${params}`,
  })
}

//企业研发投入:年度研发增长对比
export function getEnterpriseGrowth(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/growth/${params}`,
  })
}

//企业研究人员:人员数量
export function getEnterpriseResearcherNum(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/researcherNum/${params}`,
  })
}

//企业研究人员:人员学历
export function getEnterpriseResearcherDegree(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/researcherDegree/${params}`,
  })
}

//企业专利:地域分布
export function getEnterprisePatentRegion(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/patentRegion/${params}`,
  })
}

//企业专利:领域分布
export function getEnterprisPatentField(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/patentField/${params}`,
  })
}


//被制裁情况:事件
export function getSanctionList(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/getSanctionList/${params}`,
  })
}

//被制裁情况:数据对比
export function getStudyList(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/getStudyList/${params}`,
  })
}

//供应链:领域
export function getSupplyAreaList(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/getSupplyAreaList/${params}`,
  })
}

//供应链:国家地区
export function getSupplyCountryList(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/getSupplyCountryList/${params}`,
  })
}

//供应链:关系
export function getSupplyList(params) {
  return request({
    method: 'GET',
    url: `/api/enterprisePage/getSupplyList/${params.id}`,
    params,
  })
}
